Saltar al contenido principal
PUT
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
{portalId}
Set an account flag state
curl --request PUT \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "appId": 123,
  "flagName": "<string>",
  "portalId": 123
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido
flagName
string
requerido
portalId
integer<int32>
requerido

Cuerpo

application/json
flagState
enum<string>
requerido

The state that the given flag should be in for this portal

Opciones disponibles:
ABSENT,
OFF,
ON

Respuesta

successful operation

appId
integer<int32>
requerido

The ID of the app

flagName
string
requerido

The name of the flag

flagState
enum<string>
requerido

The state of the flag for this portal

Opciones disponibles:
ABSENT,
OFF,
ON
portalId
integer<int32>
requerido

The ID of the portal

Last modified on June 5, 2026